Skip to Content
veriom

List workflow actions

GET
/v1/workspaces/{workspace_id}/workflow-actions

Authorization

workspaceToken
headerAuthorizationBearer <vat_<opaque-token>>

Expiring, hashed workspace token with explicit scopes.

Path Parameters

workspace_id*Workspace Id
Formatuuid

Response Body

Successful Response

application/json
  1. response
[index: integer]?
Example Request
curl -X GET 'https://api.veriom.ai/v1/workspaces/497f6eca-6276-4993-bfeb-53cbbbba6f08/workflow-actions'
Example Response
[  {    "approved_at": "2019-08-24T14:15:22Z",    "approved_by": "02030314-b162-4b4d-8af1-88eabdcc615d",    "attempts": 0,    "authorization_id": "be63c26c-03c0-4635-ae2b-58f14bd033f9",    "capability": "ticket_creation",    "created_at": "2019-08-24T14:15:22Z",    "decision_reason": "string",    "error_code": "string",    "executed_at": "2019-08-24T14:15:22Z",    "external_id": "string",    "external_url": "string",    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "request_payload": {},    "requested_by": "cda0f200-65cd-4343-aedd-9c936b908826",    "status": "string",    "target_id": "d3bcdc92-4191-401b-ad0c-42056c6efab9",    "target_type": "finding",    "workspace_id": "0967198e-ec7b-4c6b-b4d3-f71244cadbe9"  }]